﻿@model FQ.MD.WEB.ViewModels.Form.RoleDeleteForm
@using FQ.MD.WEB.Resources

@{
    ViewBag.Title = Res.Delete;
}

<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="/"><i class="fas fa-home"></i> Dashboard</a></li>
        <li class="breadcrumb-item"><a href="@Url.Action("Index")">@Res.Roles</a></li>
        <li class="breadcrumb-item active" aria-current="page">@ViewBag.Title</li>
    </ol>
</nav>


<div class="card">
    <div class="card-header">
        <div class="row">
            <div class="col-6">
                <h5 class="color-brand">@ViewBag.Title</h5>
            </div>
        </div>
    </div>
    <div class="card-body">
        @using (Html.BeginForm())
        {
            @Html.AntiForgeryToken()
            <div class="form-horizontal">
                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                @Html.HiddenFor(model => model.RoleId)
                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Role</label>
                    <div class="col-md-6">
                        @Html.EditorFor(model => model.Role, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Description</label>
                    <div class="col-md-6">
                        @Html.TextAreaFor(model => model.Description, new { @class = "form-control", @readonly = "readonly" })
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Remark</label>
                    <div class="col-md-6">
                        @Html.TextAreaFor(model => model.Remark, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Remark, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group row">
                    <div class="offset-md-2 col-md-6">
                        <input type="submit" value="@Res.Delete" class="btn btn-sm btn-danger" />
                    </div>
                </div>
            </div>
        }
    </div>
</div>